<template>
    <mx-form-item v-model="model[propNew]" :prop="propNew" :label="labelNew" type="password"/>
    <mx-form-item v-model="model[propRepeat]" :prop="propRepeat" :label="labelRepeat" type="password"/>
</template>

<script setup>
import {useInjectFormData} from "@/pagesOther/pages/login/components/hooks/useFormDataInjection";
import {createPropDefine} from "@/utils";

defineProps({
    propNew: createPropDefine('newPassword'),
    propRepeat: createPropDefine('newPwdRepeat'),
    labelNew: createPropDefine('新密码'),
    labelRepeat: createPropDefine('确认密码')
})

const [model] = useInjectFormData()
</script>

<style scoped>

</style>